## org.eclipse.datatools.enablement.ase
Class ASEConfig

    java.lang.Object
      org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
          org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration
              org.eclipse.datatools.enablement.ase.ASEConfig

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class ASEConfig

extends org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration

Author:
  linsong

Nested Class Summary
`static class` `ASEConfig.ASEControlConnection`
`static class` `ASEConfig.ASEItemWithCode`

Field Summary
`static java.lang.String[]` `ASE_ALIASES`

Constructor Summary
`ASEConfig()`

Method Summary
`org.eclipse.datatools.sqltools.core.services.ConnectionService` `getConnectionService()`
`boolean` `recognize(java.lang.String product, java.lang.String version)`

Methods inherited from class org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration
`getAssociatedConnectionProfileType, getDatabaseVendorDefinitionId, getSQLService, setDatabaseVendorDefinitionId`

Methods inherited from class org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
`getAdapter, getDatabaseSetting, getDBHelper, getDefaultInstance, getExecutionService, getSQLDataService, getSQLEditorService`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASE_ALIASES

    public static final java.lang.String[] ASE_ALIASES

Constructor Detail

### ASEConfig

    public ASEConfig()

Method Detail

### recognize

    public boolean recognize(java.lang.String product,
                             java.lang.String version)

  Overrides:
    `recognize` in class `org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration`

### getConnectionService

    public org.eclipse.datatools.sqltools.core.services.ConnectionService getConnectionService()

  Overrides:
    `getConnectionService` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`